NX Open C++ Reference Guide
|
Mold Wizard trim solid management builder, trims bounding box body with region, subtract bounding box with workpiece or keep region and box. More...
Public Types | |
enum | TrimSolidAction { TrimSolidActionTrim, TrimSolidActionSubtract, TrimSolidActionKeepBoxandRegion } |
represents the action to create trim solid. More... | |
enum | Types { TypesFace, TypesSheetBody, TypesManufacturingRegion } |
represents the option to select face or sheet body or manufacturing faces to trim the bounding box. More... | |
Public Member Functions | |
NXOpen::Tooling::TrimSolidBuilder::TrimSolidAction | ActionType () |
Returns the action type of trim, subtract or just keep the region and the bounding box. | |
bool | ChangeBoxSize () |
Returns the option to change the created boundbox size Created in NX8.0.18. | |
NXOpen::Expression * | Clearance () |
Returns the single side clearance value of the bounding box. | |
void | CreateBoundBox () |
Creates the bounding box. | |
void | InsideBoundBox () |
The faces inside the bounding box. | |
void | InsideCrossBoundBox () |
The faces inside/cross the bounding box. | |
NXOpen::ScCollector * | RegionFaces () |
Returns the region faces to create trim solid. | |
bool | RemoveParameter () |
Returns the option to remove parameter of the trim solid body Created in NX8.0.0. | |
NXOpen::SelectBody * | SelectBoundBox () |
Returns the selected bounding box. | |
NXOpen::Assemblies::SelectComponent * | SelectLinkTarget () |
Returns the component that the trimmed body is linked to. | |
void | SetActionType (NXOpen::Tooling::TrimSolidBuilder::TrimSolidAction actionType) |
Sets the action type of trim, subtract or just keep the region and the bounding box. | |
void | SetBoundBox (NXOpen::Body *block) |
Sets the bounding box tag. | |
void | SetChangeBoxSize (bool changeBoxSize) |
Sets the option to change the created boundbox size Created in NX8.0.18. | |
void | SetManualBody (NXOpen::Body *block) |
Sets the manually selected target body. | |
void | SetRemoveParameter (bool removeParameter) |
Sets the option to remove parameter of the trim solid body Created in NX8.0.0. | |
void | SetTrimDirection (bool trimDirection) |
Sets the trim body side. | |
void | SetType (NXOpen::Tooling::TrimSolidBuilder::Types type) |
Sets the type to select face, sheet body or manufacturing faces to trim the bounding box. | |
NXOpen::SelectBodyList * | SheetBody () |
Returns the sheet body to create trim solid. | |
NXOpen::SelectFaceList * | TaggedFaces () |
Returns the faces with the defined attribute to create trim solid. | |
bool | TrimDirection () |
Returns the trim body side. | |
NXOpen::Tooling::TrimSolidBuilder::Types | Type () |
Returns the type to select face, sheet body or manufacturing faces to trim the bounding box. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Mold Wizard trim solid management builder, trims bounding box body with region, subtract bounding box with workpiece or keep region and box.
To create a new instance of this class, use Tooling::TrimSolidCollection::CreateTrimSolidBuilder
Default values.
Property | Value |
---|---|
ActionType |
Trim |
ChangeBoxSize |
1 |
Clearance.Value |
0.1 (millimeters part), 0.004 (inches part) |
RemoveParameter |
0 |
Created in NX8.0.0.
NXOpen::Tooling::TrimSolidBuilder::TrimSolidAction NXOpen::Tooling::TrimSolidBuilder::ActionType | ( | ) |
Returns the action type of trim, subtract or just keep the region and the bounding box.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
bool NXOpen::Tooling::TrimSolidBuilder::ChangeBoxSize | ( | ) |
Returns the option to change the created boundbox size
Created in NX8.0.18.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::TrimSolidBuilder::Clearance | ( | ) |
Returns the single side clearance value of the bounding box.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::TrimSolidBuilder::CreateBoundBox | ( | ) |
Creates the bounding box.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::TrimSolidBuilder::InsideBoundBox | ( | ) |
The faces inside the bounding box.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::TrimSolidBuilder::InsideCrossBoundBox | ( | ) |
The faces inside/cross the bounding box.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::ScCollector* NXOpen::Tooling::TrimSolidBuilder::RegionFaces | ( | ) |
Returns the region faces to create trim solid.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
bool NXOpen::Tooling::TrimSolidBuilder::RemoveParameter | ( | ) |
Returns the option to remove parameter of the trim solid body
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::SelectBody* NXOpen::Tooling::TrimSolidBuilder::SelectBoundBox | ( | ) |
Returns the selected bounding box.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::Assemblies::SelectComponent* NXOpen::Tooling::TrimSolidBuilder::SelectLinkTarget | ( | ) |
Returns the component that the trimmed body is linked to.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::TrimSolidBuilder::SetActionType | ( | NXOpen::Tooling::TrimSolidBuilder::TrimSolidAction | actionType | ) |
Sets the action type of trim, subtract or just keep the region and the bounding box.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
actionType | actiontype |
void NXOpen::Tooling::TrimSolidBuilder::SetBoundBox | ( | NXOpen::Body * | block | ) |
Sets the bounding box tag.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
block | the bounding box block body |
void NXOpen::Tooling::TrimSolidBuilder::SetChangeBoxSize | ( | bool | changeBoxSize | ) |
Sets the option to change the created boundbox size
Created in NX8.0.18.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
changeBoxSize | changeboxsize |
void NXOpen::Tooling::TrimSolidBuilder::SetManualBody | ( | NXOpen::Body * | block | ) |
Sets the manually selected target body.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
block | the manually selected target body |
void NXOpen::Tooling::TrimSolidBuilder::SetRemoveParameter | ( | bool | removeParameter | ) |
Sets the option to remove parameter of the trim solid body
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
removeParameter | removeparameter |
void NXOpen::Tooling::TrimSolidBuilder::SetTrimDirection | ( | bool | trimDirection | ) |
Sets the trim body side.
Created in NX7.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
trimDirection | trimdirection |
void NXOpen::Tooling::TrimSolidBuilder::SetType | ( | NXOpen::Tooling::TrimSolidBuilder::Types | type | ) |
Sets the type to select face, sheet body or manufacturing faces to trim the bounding box.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
type | type |
NXOpen::SelectBodyList* NXOpen::Tooling::TrimSolidBuilder::SheetBody | ( | ) |
Returns the sheet body to create trim solid.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::SelectFaceList* NXOpen::Tooling::TrimSolidBuilder::TaggedFaces | ( | ) |
Returns the faces with the defined attribute to create trim solid.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
bool NXOpen::Tooling::TrimSolidBuilder::TrimDirection | ( | ) |
Returns the trim body side.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::Tooling::TrimSolidBuilder::Types NXOpen::Tooling::TrimSolidBuilder::Type | ( | ) |
Returns the type to select face, sheet body or manufacturing faces to trim the bounding box.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")